Package groovy.xml.slurpersupport

# Class FilteredAttributes

java.lang.Object
groovy.lang.GroovyObjectSupport
groovy.xml.slurpersupport.GPathResult
groovy.xml.slurpersupport.NodeChildren
groovy.xml.slurpersupport.Attributes
groovy.xml.slurpersupport.FilteredAttributes

All Implemented Interfaces:
  `Buildable`, `GroovyObject`, `Writable`, `Iterable`

public class FilteredAttributes extends Attributes
Lazy evaluated representation of a node's attributes filtered by a Closure.

- ## Field Summary

  ### Fields inherited from class groovy.xml.slurpersupport.GPathResult

  `name, namespaceMap, namespacePrefix, namespaceTagHints, parent`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FilteredAttributes(GPathResult parent, Closure closure, Map<String,String> namespaceTagHints)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Iterator`
  `nodeIterator()`

  ### Methods inherited from class groovy.xml.slurpersupport.Attributes

  `build, childNodes, findAll, iterator, list, name, parents, text, writeTo`

  ### Methods inherited from class groovy.xml.slurpersupport.NodeChildren

  `appendNode, find, replaceBody, replaceNode, size`

  ### Methods inherited from class groovy.xml.slurpersupport.GPathResult

  `breadthFirst, children, createIterator, declareNamespace, depthFirst, equals, getAt, getAt, getBody, getProperty, hashCode, isEmpty, leftShift, lookupNamespace, parent, plus, plus, pop, putAt, setMetaClass, setProperty, toBigDecimal, toBigInteger, toBoolean, toDouble, toFloat, toInteger, toLong, toString, toURI, toURL`

  ### Methods inherited from class groovy.lang.GroovyObjectSupport

  `getMetaClass`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface groovy.lang.GroovyObject

  `invokeMethod`

  ### Methods inherited from interface java.lang.Iterable

  `forEach, spliterator`

- ## Constructor Details

  - ### FilteredAttributes

    public FilteredAttributes(GPathResult parent, Closure closure, Map<String,String> namespaceTagHints)
    Parameters:
      `parent` - the GPathResult prior to the application of the expression creating this GPathResult
      `closure` - the Closure to use to filter the attributes
      `namespaceTagHints` - the known tag to namespace mappings

- ## Method Details

  - ### nodeIterator

    public Iterator nodeIterator()
    Overrides:
      `nodeIterator` in class `Attributes`